module metagraph_optimization

include("tasks.jl")
include("nodes.jl")
include("graph.jl")
include("task_functions.jl")
include("node_functions.jl")
include("graph_functions.jl")

export ==, in, Node, Edge, ComputeTaskNode, DataTaskNode, DAG
export AbstractTask, AbstractComputeTask, AbstractDataTask, DataTask, ComputeTaskP, ComputeTaskS1, ComputeTaskS2, ComputeTaskV, ComputeTaskU
export insert_node, insert_edge, is_entry_node, is_exit_node, parents, children

end # module metagraph_optimization
